matrix:
  bazel: ["6.x", "7.x"]
tasks:
  verify_build_targets_bazel_6:
    name: Verify Build targets on macOS with Bazel 6
    platform: macos_arm64
    bazel: 6.x
    build_targets:
      - "@rules_ios//rules/..."
  verify_build_targets_bazel_7:
    name: Verify Build targets on macOS with Bazel 7
    platform: macos_arm64
    bazel: 7.x
    build_targets:
      - "@rules_ios//rules/..."
    build_flags:
      - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
